## Class TSimpleDynamicParser

Description

TSimpleDynamicParser finds place holders $name$ in the sql text and replaces it with a TSimpleDynamicParser::DYNAMIC_TOKEN.

- since: 3.1
- version: $Id: TSimpleDynamicParser.php 1555 2006-12-04 00:02:23Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/Configuration/TSimpleDynamicParser.php (line 22)

Class Constant Summary
DYNAMIC_TOKEN = '`!`'
PARAMETER_TOKEN_REGEXP = '/\$([^\$]+)\$/'
Method Summary
array parse (string $sqlText)
Methods
parse (line 32)

Parse the sql text for dynamic place holders of the form $name$.

- return: name value pairs 'sql' and 'parameters'.
- access: public

array parse (string $sqlText)

- string $sqlText: Sql text.

Class Constants
DYNAMIC_TOKEN = '`!`' (line 25)
PARAMETER_TOKEN_REGEXP = '/\$([^\$]+)\$/' (line 24)

Documentation generated on Mon, 21 Apr 2008 11:36:12 -0400 by phpDocumentor 1.3.0RC4